<?php
require_once JPATH_ADMINISTRATOR . '/components/com_osmembership/loader.php';

$data = [
            'plan_id'    => $planId,
            'user_id'    => $userId,
            'first_name' => $firstName,
            'last_name'  => $lastName,
            'email'      => $email,
        ];

JLoader::register('OSMembershipModelApi', 
                  JPATH_ROOT . '/components/com_osmembership/model/api.php');

/* @var OSMembershipModelApi $model */
$model = MPFModel::getTempInstance('Api', 'OSMembershipModel');
$row = $model->store($data); // $row contains data of stored subscription

try
{
          $bddJoomla = new PDO('mysql:host=xxxxxx.mysql.db;port=35660;dbname=xxxxx, xxxxx, xxxx');
}
catch(Exception $e)
{
          die('Erreur : '.$e->getMessage());
}
$Name = '';
$Client = '';
$phone = '';
$email = '';
$Login = '';
$Pwd = '';
/*
 *        Récupération des infos client dans JOOMLA
*/
$requeteJoomlaClient = 'SELECT id_fait AS Id, nom_infraction AS Infraction, date_basse_fait AS Basse, date_haute_fait AS Haute, rue_fait AS Rue, numero_fait AS Numero, cp_fait AS CP, ville_fait AS Ville, description_fait AS Description FROM fait, infraction WHERE infraction.id_infraction = fait.fk_infraction ORDER BY id_fait DESC LIMIT 0,1';
$reponse = $bddJoomla->query($requeteJoomla);
while ($donnees = $reponse->fetch())
{
          $Name = $donnees['Last_name'];
          $Client = $donnees['Organization'];
          $phone = $donnees['phone'];
          $email = $donnees['email'];
}
$reponse->closeCursor();
/*
 *        Récupération des infos user dans JOOMLA
*/
$requeteJoomlaClient = 'SELECT id_fait AS Id, nom_infraction AS Infraction, date_basse_fait AS Basse, date_haute_fait AS Haute, rue_fait AS Rue, numero_fait AS Numero, cp_fait AS CP, ville_fait AS Ville, description_fait AS Description FROM fait, infraction WHERE infraction.id_infraction = fait.fk_infraction ORDER BY id_fait DESC LIMIT 0,1';
$reponse = $bddJoomla->query($requeteJoomla);
while ($donnees = $reponse->fetch())
{
          $Login = $donnees['username'];
          $Pwd = $donnees['password'];
}
$reponse->closeCursor();
try
{
          $bdd = new PDO('mysql:host=xxxxxx-001.eu.clouddb.ovh.net;port=35660;dbname=base_user, xxxx, xxxx');
}
catch(Exception $e)
{
          die('Erreur : '.$e->getMessage());
}
/*
 *        Création du client
*/
$requeteClient = 'INSERT INTO client(NOM_CLIENT, DEB_NAME, DB_SERVER, LOGIN_DB_SERVER, PWD_DB_SERVER,PORT_DB_SERVER) values ("' . $Client . '", "' . $Client . '", "xxxx-001.eu.clouddb.ovh.net", "xxxx", "xxxxx",35660)';
$bdd->exec($requeteClient);
/*
 *        On récupère l'ID_CLIENT pour le mettre dans les autres tables
*/
$idClient = $bdd->lastInsertId();
/*
 *        Création de l'utilisateur
*/
$requeteUser = 'INSERT INTO tsec_users(Name, email, login, pswd,id_client,active, phone) values ("' . $Name . '", "' . $email . '", "' . $Login . '", "' . $Pwd . '",' . $idClient . ',1,"' . $phone . '")';
$bdd->exec($requeteUser);
/*
 *        Création de la liaison entre utilisateur et client
*/
$requeteUser = 'INSERT INTO user_client(LOGIN, ID_CLIENT) values ("' . $Login . '", '. $idClient . ')';
$bdd->exec($requeteUser);
/*
 *        Création de la liaison entre utilisateur et groupe
*/
$requeteUser = 'INSERT INTO tsec_users_groups(login, groupe_id) values ("' . $Login . '",  1 )';
$bdd->exec($requeteUser);
